CVE-2016-7445

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2016-7445
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2016-7445.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2016-7445
Related
Published
2016-10-03T16:09:17Z
Modified
2024-06-30T12:50:24.825437Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

convert.c in OpenJPEG before 2.1.2 allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via vectors involving the variable s.

References

Affected packages

Debian:11 / openjpeg2

Package

Name
openjpeg2
Purl
pkg:deb/debian/openjpeg2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / openjpeg2

Package

Name
openjpeg2
Purl
pkg:deb/debian/openjpeg2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / openjpeg2

Package

Name
openjpeg2
Purl
pkg:deb/debian/openjpeg2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Git / github.com/uclouvain/openjpeg

Affected ranges

Type
GIT
Repo
https://github.com/uclouvain/openjpeg
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

v2.*

v2.1.1